#include <bits/stdc++.h>

#define endl "\n"

using namespace std;

int main()
{
    ios::sync_with_stdio(false); cin.tie(0);

    int n; cin >> n;
    for(int i=1;i<n;i++) {
        int a,b; cin >> a >> b;
    }

    cout << (n%2 ? n-2:n-3) << endl;

    return 0;
}